petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetConvergedReason

Sets the termination flag on a Tao object

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConvergedReason(Tao tao, TaoConvergedReason reason)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao context
| reason | - one of

        TAO_CONVERGED_ATOL (2),

        TAO_CONVERGED_RTOL (3),

        TAO_CONVERGED_STEPTOL (4),

        TAO_CONVERGED_MINF (5),

        TAO_CONVERGED_USER (6),

        TAO_DIVERGED_MAXITS (-2),

        TAO_DIVERGED_NAN (-4),

        TAO_DIVERGED_MAXFCN (-5),

        TAO_DIVERGED_LS_FAILURE (-6),

        TAO_DIVERGED_TR_REDUCTION (-7),

        TAO_DIVERGED_USER (-8),

        TAO_CONTINUE_ITERATING (0)

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/bound/examples/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages